Groovy 1.7.0

## groovy.swing.factory
Class RendererUpdateFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RendererUpdateFactory

    class RendererUpdateFactory
    extends AbstractFactory

Constructor Summary
`RendererUpdateFactory()`

Method Summary
`boolean` | `isHandlesNodeChildren()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### RendererUpdateFactory

    RendererUpdateFactory()

Method Detail

### isHandlesNodeChildren

    public boolean isHandlesNodeChildren()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeChildren

    public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

Copyright © 2003-2009 The Codehaus. All rights reserved.